%%
%solves the equation described in hw2_prob1_hint_fun.m, 
%for time from 0 to 20, with initial condition Y(0)=3
%%
% closes all windows, deletes all variables, clears the terminal
close all; clear; clc;  

time_interval = [0 20];

initial_condition = 3;

%inputs to ode45: function name, time interval, initial conditions
[t,Y]=ode45(@hw2_prob1_hint_fun,time_interval,initial_condition);

%% Plots the output of ode45
figure(1)
plot(t,Y,'-','linewidth',1.5)
xlabel('t')
ylabel('Y(t)')
set(gca,'fontsize',16)
